Package org.jbpm.services.task.commands

## Class TaskCommand<T>

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<T>`, `org.kie.api.command.ExecutableCommand<T>`
  Direct Known Subclasses:
    `AbstractTaskAuditQueryCommand`, `AddContentCommand`, `AddGroupCommand`, `AddUserCommand`, `AddUsersGroupsCommand`, `ArchiveTasksCommand`, `BAMTaskSummaryQueryCommand`, `CompositeCommand`, `DeleteAttachmentCommand`, `DeleteAuditEventsCommand`, `DeleteBAMTaskSummariesCommand`, `DeleteCommentCommand`, `DeleteContentCommand`, `DeployTaskDefCommand`, `ExecuteDeadlinesCommand`, `ExecuteReminderCommand`, `ExecuteTaskRulesCommand`, `GetActiveTasksCommand`, `GetAllAttachmentsCommand`, `GetAllCommentsCommand`, `GetAllContentCommand`, `GetAllHistoryAuditTasksByUserCommand`, `GetAllHistoryAuditTasksCommand`, `GetAllTaskDefinitionsCommand`, `GetArchivedTasksCommand`, `GetAttachmentCommand`, `GetAuditEventsByProcessInstanceIdCommand`, `GetAuditEventsCommand`, `GetBAMTaskSummariesCommand`, `GetCommentCommand`, `GetCompletedTasksByUserCommand`, `GetCompletedTasksCommand`, `GetContentByIdCommand`, `GetCurrentTxTasksCommand`, `GetGroupCommand`, `GetGroupsCommand`, `GetOrgEntityCommand`, `GetPendingSubTasksCommand`, `GetPendingTasksByUserCommand`, `GetPotentialOwnersForTaskCommand`, `GetTaskAssignedByGroupsCommand`, `GetTaskByWorkItemIdCommand`, `GetTaskCommand`, `GetTaskContentCommand`, `GetTaskDefinitionCommand`, `GetTaskInputVariablesCommand`, `GetTaskOutputVariablesCommand`, `GetTasksByProcessInstanceIdCommand`, `GetTasksByStatusByProcessInstanceIdCommand`, `GetTasksForProcessCommand`, `GetUserCommand`, `GetUserInfoCommand`, `GetUsersCommand`, `GetUserTaskCommand`, `InitDeadlinesCommand`, `RemoveAllTasksCommand`, `RemoveGroupCommand`, `RemoveTasksCommand`, `RemoveUserCommand`, `TaskSummaryQueryCommand`, `UndeployTaskDefCommand`, `UserGroupCallbackTaskCommand`

      public abstract class TaskCommand<T>
      extends Object
      implements org.kie.api.command.ExecutableCommand<T>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<String>` | `groupIds` |
    `protected String` | `targetEntityId` |
    `protected Long` | `taskId` |
    `protected String` | `userId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskCommand()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<String>` | `getGroupsIds()` |
    `String` | `getTargetEntityId()` |
    `Long` | `getTaskId()` |
    `String` | `getUserId()` |
    `void` | `setGroupsIds​(List<String> groupsIds)` |
    `void` | `setTargetEntityId​(String targetEntityId)` |
    `void` | `setTaskId​(Long taskId)` |
    `void` | `setUserId​(String userId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.command.ExecutableCommand

      `execute`

- - ### Field Detail

    - #### taskId

          protected Long taskId

    - #### userId

          protected String userId

    - #### groupIds

          protected List<String> groupIds

    - #### targetEntityId

          protected String targetEntityId

  - ### Constructor Detail

    - #### TaskCommand

          public TaskCommand()

  - ### Method Detail

    - #### getTaskId

          public Long getTaskId()

    - #### setTaskId

          public final void setTaskId​(Long taskId)

    - #### getUserId

          public final String getUserId()

    - #### setUserId

          public final void setUserId​(String userId)

    - #### getGroupsIds

          public final List<String> getGroupsIds()

    - #### setGroupsIds

          public final void setGroupsIds​(List<String> groupsIds)

    - #### getTargetEntityId

          public final String getTargetEntityId()

    - #### setTargetEntityId

          public final void setTargetEntityId​(String targetEntityId)